<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!--

IGAC proyecto SNC

@author 		juan.agudelo
@version 		2.0
@description	Cuadro de dialogo con mesnaje de confirmación y acciónes de confirmación
                para las decisiones SI y NO
                FAVOR USAR ESTE COMPONENTE FUERA DE UN TAG <form/> PARA EVITAR PROBLEMAS DE FORMULARIOS ANIDADOS
@cu 			CU-AV-O-01

attributes
                confirmMessage:		Mensaje de confirmación del dialog
                confirmUpdate:		Updates respectivos sobre la decisión SI
                confirmDialogWV:	WV identificador de la ventana para cerrala
                confirmAction:		Método que se ejecuta sobre la acción de decisión SI
                noAction:			Método que se ejecuta sobre la acción de decisión NO
                
-->

<!--
OJO: aquí hay una chambonada de Gabriel: manda como mensaje de confirmación el nombre del mb, por lo que
    obliga a tener en cdad mb una variable que se llame mensajeSalidaConfirmationDialog
-->

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:composite="http://java.sun.com/jsf/composite">

    <composite:interface>

        <composite:attribute name="yesLabel" default="Sí" />
        <composite:attribute name="noLabel" default="No" />
        <composite:attribute name="headerLabel" default="Confirmación" />
        <composite:attribute name="confirmMessage" required="true" />
        <composite:attribute name="image" default="/images/info-icon.jpg" />
        <composite:attribute name="confirmUpdate" />
        <composite:attribute name="confirmDialogWV" />
        <composite:attribute name="ajaxBehavior" default="true" />

        <composite:attribute name="confirmAction"
                             method-signature="void action()" />
        <composite:attribute name="noAction"
                             method-signature="java.lang.String action()" />

    </composite:interface>

    <composite:implementation>
        <p:dialog modal="true" appendToBody="true" width="500"
                  showEffect="explode" hideEffect="explode" height="155"
                  header="#{cc.attrs.headerLabel}" resizable="true"
                  widgetVar="#{cc.attrs.confirmDialogWV}">

            <h:form id="confirmationDialogCCForm">

                <p:messages showDetail="false" globalOnly="true" />

                <h:panelGrid columns="1">
                    <p:outputPanel style="text-align: left" layout="block">
                        <p:graphicImage value="#{cc.attrs.image}" width="36" height="36" />
                        <h:outputText id="x"
                                      value="#{cc.attrs.confirmMessage.mensajeSalidaConfirmationDialog}" />
                    </p:outputPanel>

                    <p:spacer height="13" width="0" />
                    <p:outputPanel style="text-align: left" layout="block">

                        <p:spacer height="0" width="40" />
                        <p:commandButton value="#{cc.attrs.yesLabel}"
                                         update="#{cc.attrs.confirmUpdate}"
                                         action="#{cc.attrs.confirmAction}" icon="ui-icon-check"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();#{cc.attrs.confirmDialogWV}.hide();"
                                         ajax="#{cc.attrs.ajaxBehavior}" />
                        <p:spacer width="5" />
                        <p:commandButton value="#{cc.attrs.noLabel}"
                                         action="#{cc.attrs.noAction}" icon="ui-icon-close"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();#{cc.attrs.confirmDialogWV}.hide();"
                                         ajax="#{cc.attrs.ajaxBehavior}" />

                    </p:outputPanel>
                </h:panelGrid>
            </h:form>
        </p:dialog>
    </composite:implementation>

</html>